Skip to main content
PUT
Updates an account payment method

Authorizations

Authorization
string
header
required

OAuth 2.0 Authentication

Path Parameters

id
string
required

The SLM Account ID.

Body

application/json
paymentMethodId
string
required

ID of the payment method to be updated

primary
boolean
required
active
boolean
default:true

Response

OK

id
string
createdDate
string
merchantAcceptedPayment
object
creditCard
object
carrierBilling
object

This object defines Telco carrier billing details.

debitCard
object
externalBilling
object
metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.

primary
boolean
active
boolean
currency
string
type
enum<string>

Type of payment method.

Available options:
CarrierBilling,
ExternalBilling,
MerchantAcceptedPayment,
CreditCard,
DebitCard